local createCompositionFINAL = nil
local createCompositionkrila_mov = nil
local createCompositionkrila_mov_2 = nil
local createCompositionkrila_mov_3 = nil
local createCompositionkrila_no_mov = nil
local createCompositionLapki_Left_Mov = nil
local createCompositionLapki_Left_Stay = nil
local createCompositionLapki_Left_Stay_2 = nil
local createCompositionlapki_mov = nil
local createCompositionlapki_no_mov2 = nil
local createCompositionlapki_no_mov3 = nil
local createCompositionNogi_no_mov = nil
local createCompositionNogi_no_mov_2 = nil
local createCompositionNogi_nov = nil
local createCompositionUP_Zhuk_cikl = nil
local createCompositionUSIKI_Left_MOV = nil
local createCompositionUSIKI_Left_MOV_2 = nil
local createCompositionUsiki_Left_Stay = nil
local createCompositionusiki_Mov = nil
local createCompositionusiki_Mov_2 = nil
local createCompositionUsiki_No_Mov = nil
local createCompositionZhuK_L = nil
local createCompositionZhuK_L_Opene = nil
local createCompositionZhuK_R = nil
local createCompositionZhuK_R_OPENE = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Minigames/02_Lock/Animation/"
---------------------------------------------------------------------------------------
function Loader_02_mg_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionFINAL,		                'final',		        0,0, 71, 512,384, false),
--    			CreateCompositionLoader(createCompositionkrila_mov_2,		                'krila_mov_2',		        0,0, 71, 512,384, true),
--    			CreateCompositionLoader(createCompositionUsiki_Left_Stay,		                'Usiki_Left_Stay',		        0,0, 71, 512,384, true),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionFINAL = function()
	local compositionFINAL = CreateCompositionSequence()
	local compositionDuration = 8
	compositionFINAL:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."zamok_nakladka.png")
	element:SetName("Layer_1")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(94, 134)
	element:SetParentElement(compositionFINAL)
	element:SetXY(949, 304)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."zamok.png")
	element:SetName("Layer_2")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(1, 90)
	element:SetParentElement(compositionFINAL)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3.875, 925)
	effector:SetKey(_TRACK_Y, 3.875, 307)
	effector:SetKey(_TRACK_X, 7, 867)
	effector:SetKey(_TRACK_Y, 7, 307)
	effector:SetKey(_TRACK_SX, 3.875, 1)
	effector:SetKey(_TRACK_SY, 3.875, 1)
	effector:SetKey(_TRACK_SX, 7, 0.73743016759777)
	effector:SetKey(_TRACK_SY, 7, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."6.png")
	element:SetName("Layer_3")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(16.5, 15.75)
	element:SetParentElement(compositionFINAL)
	element:SetXY(822.75, 107.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_SX, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SX, 3.70833333333333, 1.05)
	effector:SetKey(_TRACK_SY, 3.70833333333333, 1.05)
	effector:SetKey(_TRACK_SX, 7, 1.05)
	effector:SetKey(_TRACK_SY, 7, 1.05)
	effector:SetKey(_TRACK_SX, 7.54166666666667, 1)
	effector:SetKey(_TRACK_SY, 7.54166666666667, 1)
	effector:SetKey(_TRACK_A, 3.70833333333333, 0)
	effector:SetKey(_TRACK_A, 7, -85.2378158326471)
	effector:SetKey(_TRACK_O, 2.83333333333333, 0)
	effector:SetKey(_TRACK_O, 3.70833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."shesterenka_1.png")
	element:SetName("Layer_4")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(21, 21)
	element:SetParentElement(compositionFINAL)
	element:SetXY(786, 109)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_SX, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SX, 3.70833333333333, 1.08)
	effector:SetKey(_TRACK_SY, 3.70833333333333, 1.08)
	effector:SetKey(_TRACK_SX, 7, 1.08)
	effector:SetKey(_TRACK_SY, 7, 1.08)
	effector:SetKey(_TRACK_SX, 7.54166666666667, 1)
	effector:SetKey(_TRACK_SY, 7.54166666666667, 1)
	effector:SetKey(_TRACK_A, 3.70833333333333, 0)
	effector:SetKey(_TRACK_A, 7, 26.2291376427502)
	effector:SetKey(_TRACK_O, 2.83333333333333, 0)
	effector:SetKey(_TRACK_O, 3.70833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."k.png")
	element:SetName("Layer_5")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(21, 21)
	element:SetParentElement(compositionFINAL)
	element:SetXY(341, 32)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 3.70833333333333, 0)
	effector:SetKey(_TRACK_A, 7, 11.9546717927579)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."zv.png")
	element:SetName("Layer_6")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(20, 19)
	element:SetParentElement(compositionFINAL)
	element:SetXY(669, 32)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 3.70833333333333, 0)
	effector:SetKey(_TRACK_A, 7, -12.8336675214205)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."nm.png")
	element:SetName("Layer_7")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(15, 26)
	element:SetParentElement(compositionFINAL)
	element:SetXY(681, 29)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."Shesterenki_1_nakladka.png")
	element:SetName("Layer_8")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(16, 44)
	element:SetParentElement(compositionFINAL)
	element:SetXY(310, 40)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."Shesterenki_2_nakladka.png")
	element:SetName("Layer_9")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(16, 44)
	element:SetParentElement(compositionFINAL)
	element:SetXY(701, 41)
 
	element:SetScaleX(1.0625)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."Shesterenki_1.png")
	element:SetName("Layer_10")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(36.5, 38.5)
	element:SetParentElement(compositionFINAL)
	element:SetXY(719.5, 39.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 3.70833333333333, 0)
	effector:SetKey(_TRACK_A, 7, 6.01870925703384)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."Shesterenki_1.png")
	element:SetName("Layer_11")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(36, 38)
	element:SetParentElement(compositionFINAL)
	element:SetXY(286, 41)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 3.70833333333333, 0)
	effector:SetKey(_TRACK_A, 7, -4.88457978932618)
	effector:Play()
 
 
	-- Layer Layer_12
	element = createCompositionUP_Zhuk_cikl()
	element:SetName("Layer_12")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionFINAL)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_13
	element = CreateCompositionElement(PREFIX_PATH.."Krilo_3.png")
	element:SetName("Layer_13")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(11, 103)
	element:SetParentElement(compositionFINAL)
	element:SetXY(513, 77)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.04166666666667, 8)
	effector:SetKey(_TRACK_A, 2.04166666666667, -0.19720932760033)
	effector:SetKey(_TRACK_A, 2.16666666666667, 0.07365598185852)
	effector:SetKey(_TRACK_A, 2.29166666666667, -0.2203344138155)
	effector:SetKey(_TRACK_A, 3.66666666666667, 0.9706927903887)
	effector:Play()
 
 
	-- Layer Layer_14
	element = CreateCompositionElement(PREFIX_PATH.."Krilo_3_.png")
	element:SetName("Layer_14")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(49, 98)
	element:SetParentElement(compositionFINAL)
	element:SetXY(494, 80)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.04166666666667, 8)
	effector:SetKey(_TRACK_A, 2.04166666666667, 0.11062476996034)
	effector:SetKey(_TRACK_A, 2.16666666666667, -0.0778990325805)
	effector:SetKey(_TRACK_A, 2.29166666666667, 0.12972880575572)
	effector:SetKey(_TRACK_A, 3.66666666666667, -1.00869832292632)
	effector:Play()
 
 
	-- Layer Layer_15
	element = CreateCompositionElement(PREFIX_PATH.."6_2.png")
	element:SetName("Layer_15")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(19.3483146067417, 18.3048780487805)
	element:SetParentElement(compositionFINAL)
	element:SetXY(502, 63.25)
 
	element:SetScaleX(1.05952380952381)
	element:SetScaleY(1.07894736842105)
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.04166666666667, 8)
	effector:SetKey(_TRACK_A, 3.125, 0)
	effector:SetKey(_TRACK_A, 3.875, 4.09928748917518)
	effector:SetKey(_TRACK_A, 5.875, 39.968053019458)
	effector:SetKey(_TRACK_A, 6.625, 45.092162380927)
	effector:SetKey(_TRACK_O, 2.375, 0)
	effector:SetKey(_TRACK_O, 3.125, 1)
	effector:Play()
 
 
	-- Layer Layer_16
	element = CreateCompositionElement(PREFIX_PATH.."6_3.png")
	element:SetName("Layer_16")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(14, 13.375)
	element:SetParentElement(compositionFINAL)
	element:SetXY(486.125, 43)
 
	element:SetScaleX(1.04396046059259)
	element:SetScaleY(1.1353555124675)
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.04166666666667, 8)
	effector:SetKey(_TRACK_A, 2.04166666666667, 0)
	effector:SetKey(_TRACK_A, 3.01798502604167, -0.76368116639742)
	effector:SetKey(_TRACK_A, 5.52852376302083, -8.18229821140097)
	effector:SetKey(_TRACK_A, 6.45833333333333, -9.05507668728375)
	effector:Play()
 
 
	-- Layer Layer_17
	element = CreateCompositionElement(PREFIX_PATH.."6_4.png")
	element:SetName("Layer_17")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(12.5, 12.25)
	element:SetParentElement(compositionFINAL)
	element:SetXY(530.5, 41.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.04166666666667, 8)
	effector:SetKey(_TRACK_A, 2.79166666666667, 0)
	effector:SetKey(_TRACK_A, 3.41666666666667, 5.15138028601597)
	effector:SetKey(_TRACK_A, 6.25, 52.5595717904035)
	effector:SetKey(_TRACK_A, 7.04166666666667, 58.1370060850374)
	effector:Play()
 
 
	-- Layer Layer_18
	element = CreateCompositionElement(PREFIX_PATH.."6.png")
	element:SetName("Layer_18")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(16.4516129032259, 15.7258064516129)
	element:SetParentElement(compositionFINAL)
	element:SetXY(505.5, 42.5)
 
	element:SetScaleX(1.03333333333333)
	element:SetScaleY(1.03333333333333)
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.04166666666667, 8)
	effector:SetKey(_TRACK_A, 3, 0)
	effector:SetKey(_TRACK_A, 6.20833333333333, 52.8067797978772)
	effector:SetKey(_TRACK_A, 7.04166666666667, 57.6073961431388)
	effector:SetKey(_TRACK_O, 3, 0)
	effector:SetKey(_TRACK_O, 3.33333333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_19
	element = createCompositionZhuK_L()
	element:SetName("Layer_19")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(76.5, 91.5)
	element:SetParentElement(compositionFINAL)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_X, 1.66666666666667, 805)
	effector:SetKey(_TRACK_Y, 1.66666666666667, 166)
	effector:SetKey(_TRACK_X, 2, 803)
	effector:SetKey(_TRACK_Y, 2, 149)
	effector:SetKey(_TRACK_A, 0, -1.61539644942516)
	effector:SetKey(_TRACK_A, 1.70833333333333, 1.58231698321189)
	effector:Play()
 
 
	-- Layer Layer_20
	element = createCompositionZhuK_L_Opene()
	element:SetName("Layer_20")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(76.5, 91.5)
	element:SetParentElement(compositionFINAL)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 2, 803.5)
	effector:SetKey(_TRACK_Y, 2, 148.5)
	effector:SetKey(_TRACK_X, 2.16666666666667, 802.5)
	effector:SetKey(_TRACK_Y, 2.16666666666667, 139.5)
	effector:SetKey(_TRACK_A, 2, 1.55536545112694)
	effector:SetKey(_TRACK_A, 2.16666666666667, 1.57991847274999)
	effector:SetKey(_TRACK_O, 2, 0)
	effector:SetKey(_TRACK_O, 2.04166666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_21
	element = createCompositionZhuK_R()
	element:SetName("Layer_21")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(74, 112)
	element:SetParentElement(compositionFINAL)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_X, 1.66666666666667, 221.768144147149)
	effector:SetKey(_TRACK_Y, 1.66666666666667, 175.764108122272)
	effector:SetKey(_TRACK_X, 2, 213.768144147149)
	effector:SetKey(_TRACK_Y, 2, 146.764108122272)
	effector:SetKey(_TRACK_A, 0, 1.62033912039201)
	effector:SetKey(_TRACK_A, 1.70833333333333, -1.55947729355572)
	effector:Play()
 
 
	-- Layer Layer_22
	element = createCompositionZhuK_R_OPENE()
	element:SetName("Layer_22")
	compositionFINAL:AddElement(element)
	element:SetHotSpot(74, 112)
	element:SetParentElement(compositionFINAL)
	element:SetAngle(-1.54563001463146)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 2, 215)
	effector:SetKey(_TRACK_Y, 2, 147.5)
	effector:SetKey(_TRACK_X, 2.20833333333333, 214)
	effector:SetKey(_TRACK_Y, 2.20833333333333, 138.5)
	effector:SetKey(_TRACK_O, 2, 0)
	effector:SetKey(_TRACK_O, 2.04166666666667, 1)
	effector:Play()
 
	compositionFINAL:Play()
 
	return compositionFINAL
end
 
createCompositionkrila_mov = function()
	local compositionkrila_mov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionkrila_mov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."krilo_2.png")
	element:SetName("Layer_1")
	compositionkrila_mov:AddElement(element)
	element:SetHotSpot(13.7996914997233, 74.7673441122456)
	element:SetParentElement(compositionkrila_mov)
	element:SetXY(922.62558871652, 555.770426387636)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 1.5822197045353)
	effector:SetKey(_TRACK_A, 0.5, 1.43235521584529)
	effector:SetKey(_TRACK_A, 1, 1.5822197045353)
	effector:SetKey(_TRACK_A, 1.5, 1.43235521584529)
	effector:SetKey(_TRACK_A, 2, 1.5822197045353)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."krilo_1.png")
	element:SetName("Layer_2")
	compositionkrila_mov:AddElement(element)
	element:SetHotSpot(38.6502313752075, 75.9507031539353)
	element:SetParentElement(compositionkrila_mov)
	element:SetXY(921.442223562707, 543.020039091435)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 1.56107617079159)
	effector:SetKey(_TRACK_A, 0.5, 1.66186839872037)
	effector:SetKey(_TRACK_A, 1, 1.56107617079159)
	effector:SetKey(_TRACK_A, 1.5, 1.66186839872037)
	effector:SetKey(_TRACK_A, 2, 1.56107617079159)
	effector:Play()
 
	compositionkrila_mov:Play()
 
	return compositionkrila_mov
end
 
createCompositionkrila_mov_2 = function()
	local compositionkrila_mov_2 = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionkrila_mov_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."krilo_2.png")
	element:SetName("Layer_1")
	compositionkrila_mov_2:AddElement(element)
	element:SetHotSpot(13.7996914997233, 74.7673441122456)
	element:SetParentElement(compositionkrila_mov_2)
	element:SetXY(922.62558871652, 555.770426387636)
 
	element:SetAngle(1.5822197045353)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."krilo_1.png")
	element:SetName("Layer_2")
	compositionkrila_mov_2:AddElement(element)
	element:SetHotSpot(38.6502313752075, 75.9507031539353)
	element:SetParentElement(compositionkrila_mov_2)
	element:SetXY(921.442223562707, 543.020039091435)
 
	element:SetAngle(1.56107617079159)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionkrila_mov_2:Play()
 
	return compositionkrila_mov_2
end
 
createCompositionkrila_mov_3 = function()
	local compositionkrila_mov_3 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionkrila_mov_3:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."krilo_2.png")
	element:SetName("Layer_1")
	compositionkrila_mov_3:AddElement(element)
	element:SetHotSpot(13.7996914997233, 74.7673441122456)
	element:SetParentElement(compositionkrila_mov_3)
	element:SetXY(922.62558871652, 555.770426387636)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 2.04166666666667, 1.5822197045353)
	effector:SetKey(_TRACK_A, 2.16666666666667, 1.44137927620124)
	effector:SetKey(_TRACK_A, 3.125, 2.51562171409616)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."krilo_1.png")
	element:SetName("Layer_2")
	compositionkrila_mov_3:AddElement(element)
	element:SetHotSpot(38.6502313752075, 75.9507031539353)
	element:SetParentElement(compositionkrila_mov_3)
	element:SetXY(921.442223562707, 543.020039091435)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 2.04166666666667, 1.56107617079159)
	effector:SetKey(_TRACK_A, 2.16666666666667, 1.76158517921396)
	effector:SetKey(_TRACK_A, 3.125, 0.50539430779375)
	effector:Play()
 
	compositionkrila_mov_3:Play()
 
	return compositionkrila_mov_3
end
 
createCompositionkrila_no_mov = function()
	local compositionkrila_no_mov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionkrila_no_mov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."krilo_2.png")
	element:SetName("Layer_1")
	compositionkrila_no_mov:AddElement(element)
	element:SetHotSpot(13.7996914997233, 74.7673441122456)
	element:SetParentElement(compositionkrila_no_mov)
	element:SetXY(922.62558871652, 555.770426387636)
 
	element:SetAngle(1.5822197045353)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."krilo_1.png")
	element:SetName("Layer_2")
	compositionkrila_no_mov:AddElement(element)
	element:SetHotSpot(38.6502313752075, 75.9507031539353)
	element:SetParentElement(compositionkrila_no_mov)
	element:SetXY(921.442223562707, 543.020039091435)
 
	element:SetAngle(1.56107617079159)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionkrila_no_mov:Play()
 
	return compositionkrila_no_mov
end
 
createCompositionLapki_Left_Mov = function()
	local compositionLapki_Left_Mov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionLapki_Left_Mov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_1")
	compositionLapki_Left_Mov:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Mov)
	element:SetXY(80.75, 524.75)
 
	element:SetScaleX(-0.91885031443407)
	element:SetScaleY(0.56765448489137)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -2.06251474185119)
	effector:SetKey(_TRACK_A, 0.22684733072917, -2.33325551878782)
	effector:SetKey(_TRACK_A, 0.51041666666667, -2.06251474185119)
	effector:SetKey(_TRACK_A, 0.73726399739583, -2.33325551878782)
	effector:SetKey(_TRACK_A, 1.02083333333333, -2.06251474185119)
	effector:SetKey(_TRACK_A, 1.2476806640625, -2.33325551878782)
	effector:SetKey(_TRACK_A, 1.53125, -2.06251474185119)
	effector:SetKey(_TRACK_A, 1.75809733072917, -2.33325551878782)
	effector:SetKey(_TRACK_A, 2.04166666666667, -2.06251474185119)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_2")
	compositionLapki_Left_Mov:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Mov)
	element:SetXY(94.5, 561.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.22399162304113)
	effector:SetKey(_TRACK_A, 0.22684733072917, -1.43271193938989)
	effector:SetKey(_TRACK_A, 0.51041666666667, -1.22399162304113)
	effector:SetKey(_TRACK_A, 0.73726399739583, -1.43271193938989)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.22399162304113)
	effector:SetKey(_TRACK_A, 1.2476806640625, -1.43271193938989)
	effector:SetKey(_TRACK_A, 1.53125, -1.22399162304113)
	effector:SetKey(_TRACK_A, 1.75809733072917, -1.43271193938989)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.22399162304113)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_3")
	compositionLapki_Left_Mov:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Mov)
	element:SetXY(95, 534.25)
 
	element:SetScaleX(-0.86581399282302)
	element:SetScaleY(0.84625345237704)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -2.09965719359949)
	effector:SetKey(_TRACK_A, 0.15311686197917, -2.28128669906698)
	effector:SetKey(_TRACK_A, 0.51041666666667, -2.09965719359949)
	effector:SetKey(_TRACK_A, 0.66353352864583, -2.28128669906698)
	effector:SetKey(_TRACK_A, 1.02083333333333, -2.09965719359949)
	effector:SetKey(_TRACK_A, 1.1739501953125, -2.28128669906698)
	effector:SetKey(_TRACK_A, 1.53125, -2.09965719359949)
	effector:SetKey(_TRACK_A, 1.68436686197917, -2.28128669906698)
	effector:SetKey(_TRACK_A, 2.04166666666667, -2.09965719359949)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_4")
	compositionLapki_Left_Mov:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Mov)
	element:SetXY(82, 571.5)
 
	element:SetScaleX(0.9901561351371)
	element:SetScaleY(1.15962621331054)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.5361218530788)
	effector:SetKey(_TRACK_A, 0.1944580078125, -1.46263429504136)
	effector:SetKey(_TRACK_A, 0.34029134114583, -1.5361218530788)
	effector:SetKey(_TRACK_A, 0.53470865885417, -1.46263429504136)
	effector:SetKey(_TRACK_A, 0.6805419921875, -1.5361218530788)
	effector:SetKey(_TRACK_A, 0.875, -1.46263429504136)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.5361218530788)
	effector:SetKey(_TRACK_A, 1.21529134114583, -1.46263429504136)
	effector:SetKey(_TRACK_A, 1.36112467447917, -1.5361218530788)
	effector:SetKey(_TRACK_A, 1.5555419921875, -1.46263429504136)
	effector:SetKey(_TRACK_A, 1.70137532552083, -1.5361218530788)
	effector:SetKey(_TRACK_A, 1.89583333333333, -1.46263429504136)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.5361218530788)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_5")
	compositionLapki_Left_Mov:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Mov)
	element:SetXY(80.75, 524.5)
 
	element:SetScaleX(-0.87163684557284)
	element:SetScaleY(1.10245265193121)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.71752933697442)
	effector:SetKey(_TRACK_A, 0.2835693359375, -1.94591008268563)
	effector:SetKey(_TRACK_A, 0.51041666666667, -1.71752933697442)
	effector:SetKey(_TRACK_A, 0.79398600260417, -1.94591008268563)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.71752933697442)
	effector:SetKey(_TRACK_A, 1.30440266927083, -1.94591008268563)
	effector:SetKey(_TRACK_A, 1.53125, -1.71752933697442)
	effector:SetKey(_TRACK_A, 1.8148193359375, -1.94591008268563)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.71752933697442)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_6")
	compositionLapki_Left_Mov:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Mov)
	element:SetXY(79.25, 570.5)
 
	element:SetScaleX(0.86814393472459)
	element:SetScaleY(0.69138274600225)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.09837960982727)
	effector:SetKey(_TRACK_A, 0.12760416666667, -0.94651959192254)
	effector:SetKey(_TRACK_A, 0.51041666666667, -1.09837960982727)
	effector:SetKey(_TRACK_A, 0.63802083333333, -0.94651959192254)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.09837960982727)
	effector:SetKey(_TRACK_A, 1.1484375, -0.94651959192254)
	effector:SetKey(_TRACK_A, 1.53125, -1.09837960982727)
	effector:SetKey(_TRACK_A, 1.65885416666667, -0.94651959192254)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.09837960982727)
	effector:Play()
 
	compositionLapki_Left_Mov:Play()
 
	return compositionLapki_Left_Mov
end
 
createCompositionLapki_Left_Stay = function()
	local compositionLapki_Left_Stay = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionLapki_Left_Stay:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_1")
	compositionLapki_Left_Stay:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay)
	element:SetXY(80.75, 524.75)
 
	element:SetScaleX(-0.91885031443407)
	element:SetScaleY(0.56765448489137)
	element:SetAngle(-2.06251474185119)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_2")
	compositionLapki_Left_Stay:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay)
	element:SetXY(79.25, 570.5)
 
	element:SetScaleX(0.86814393472459)
	element:SetScaleY(0.69138274600225)
	element:SetAngle(-1.09837960982727)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_3")
	compositionLapki_Left_Stay:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay)
	element:SetXY(80.75, 524.5)
 
	element:SetScaleX(-0.87163684557284)
	element:SetScaleY(1.10245265193121)
	element:SetAngle(-1.71752933697442)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_4")
	compositionLapki_Left_Stay:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay)
	element:SetXY(82, 571.5)
 
	element:SetScaleX(0.9901561351371)
	element:SetScaleY(1.15962621331054)
	element:SetAngle(-1.5361218530788)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_5")
	compositionLapki_Left_Stay:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay)
	element:SetXY(95, 534.25)
 
	element:SetScaleX(-0.86581399282302)
	element:SetScaleY(0.84625345237704)
	element:SetAngle(-2.09965719359949)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_6")
	compositionLapki_Left_Stay:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay)
	element:SetXY(94.5, 561.5)
 
	element:SetAngle(-1.22399162304113)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionLapki_Left_Stay:Play()
 
	return compositionLapki_Left_Stay
end
 
createCompositionLapki_Left_Stay_2 = function()
	local compositionLapki_Left_Stay_2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionLapki_Left_Stay_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_1")
	compositionLapki_Left_Stay_2:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay_2)
	element:SetXY(80.75, 524.75)
 
	element:SetScaleX(-0.91885031443407)
	element:SetScaleY(0.56765448489137)
	element:SetAngle(-2.06251474185119)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_2")
	compositionLapki_Left_Stay_2:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay_2)
	element:SetXY(79.25, 570.5)
 
	element:SetScaleX(0.86814393472459)
	element:SetScaleY(0.69138274600225)
	element:SetAngle(-1.09837960982727)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_3")
	compositionLapki_Left_Stay_2:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay_2)
	element:SetXY(80.75, 524.5)
 
	element:SetScaleX(-0.87163684557284)
	element:SetScaleY(1.10245265193121)
	element:SetAngle(-1.71752933697442)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_4")
	compositionLapki_Left_Stay_2:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay_2)
	element:SetXY(82, 571.5)
 
	element:SetScaleX(0.9901561351371)
	element:SetScaleY(1.15962621331054)
	element:SetAngle(-1.5361218530788)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_5")
	compositionLapki_Left_Stay_2:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay_2)
	element:SetXY(95, 534.25)
 
	element:SetScaleX(-0.86581399282302)
	element:SetScaleY(0.84625345237704)
	element:SetAngle(-2.09965719359949)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."lapa_02.png")
	element:SetName("Layer_6")
	compositionLapki_Left_Stay_2:AddElement(element)
	element:SetHotSpot(20.25, 4)
	element:SetParentElement(compositionLapki_Left_Stay_2)
	element:SetXY(94.5, 561.5)
 
	element:SetAngle(-1.22399162304113)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionLapki_Left_Stay_2:Play()
 
	return compositionLapki_Left_Stay_2
end
 
createCompositionlapki_mov = function()
	local compositionlapki_mov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionlapki_mov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionNogi_nov()
	element:SetName("Layer_1")
	compositionlapki_mov:AddElement(element)
	element:SetHotSpot(945, 520)
	element:SetParentElement(compositionlapki_mov)
	element:SetXY(949, 576)
 
	element:SetScaleY(-1.01153846153846)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionNogi_nov()
	element:SetName("Layer_2")
	compositionlapki_mov:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionlapki_mov)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionlapki_mov:Play()
 
	return compositionlapki_mov
end
 
createCompositionlapki_no_mov2 = function()
	local compositionlapki_no_mov2 = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionlapki_no_mov2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionNogi_no_mov()
	element:SetName("Layer_1")
	compositionlapki_no_mov2:AddElement(element)
	element:SetHotSpot(945, 520)
	element:SetParentElement(compositionlapki_no_mov2)
	element:SetXY(949, 576)
 
	element:SetScaleY(-1.01153846153846)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionNogi_no_mov()
	element:SetName("Layer_2")
	compositionlapki_no_mov2:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionlapki_no_mov2)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionlapki_no_mov2:Play()
 
	return compositionlapki_no_mov2
end
 
createCompositionlapki_no_mov3 = function()
	local compositionlapki_no_mov3 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionlapki_no_mov3:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionNogi_no_mov_2()
	element:SetName("Layer_1")
	compositionlapki_no_mov3:AddElement(element)
	element:SetHotSpot(945, 520)
	element:SetParentElement(compositionlapki_no_mov3)
	element:SetXY(949, 576)
 
	element:SetScaleY(-1.01153846153846)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionNogi_no_mov_2()
	element:SetName("Layer_2")
	compositionlapki_no_mov3:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionlapki_no_mov3)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionlapki_no_mov3:Play()
 
	return compositionlapki_no_mov3
end
 
createCompositionNogi_no_mov = function()
	local compositionNogi_no_mov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionNogi_no_mov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_1")
	compositionNogi_no_mov:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_no_mov)
	element:SetXY(919, 531)
 
	element:SetAngle(0.90602914590032)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_2")
	compositionNogi_no_mov:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_no_mov)
	element:SetXY(930, 525)
 
	element:SetAngle(1.01476882375851)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_3")
	compositionNogi_no_mov:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_no_mov)
	element:SetXY(939.5, 515.5)
 
	element:SetAngle(1.64622232197607)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."noga2.png")
	element:SetName("Layer_4")
	compositionNogi_no_mov:AddElement(element)
	element:SetHotSpot(12.8284271247462, 48.9203102167832)
	element:SetParentElement(compositionNogi_no_mov)
	element:SetXY(956, 512.5)
 
	element:SetAngle(1.60512701735978)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionNogi_no_mov:Play()
 
	return compositionNogi_no_mov
end
 
createCompositionNogi_no_mov_2 = function()
	local compositionNogi_no_mov_2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionNogi_no_mov_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_1")
	compositionNogi_no_mov_2:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_no_mov_2)
	element:SetXY(919, 531)
 
	element:SetAngle(0.90602914590032)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_2")
	compositionNogi_no_mov_2:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_no_mov_2)
	element:SetXY(930, 525)
 
	element:SetAngle(1.01476882375851)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_3")
	compositionNogi_no_mov_2:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_no_mov_2)
	element:SetXY(939.5, 515.5)
 
	element:SetAngle(1.64622232197607)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."noga2.png")
	element:SetName("Layer_4")
	compositionNogi_no_mov_2:AddElement(element)
	element:SetHotSpot(12.8284271247462, 48.9203102167832)
	element:SetParentElement(compositionNogi_no_mov_2)
	element:SetXY(956, 512.5)
 
	element:SetAngle(1.60512701735978)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionNogi_no_mov_2:Play()
 
	return compositionNogi_no_mov_2
end
 
createCompositionNogi_nov = function()
	local compositionNogi_nov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionNogi_nov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_1")
	compositionNogi_nov:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_nov)
	element:SetXY(919, 531)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 0.90602914590032)
	effector:SetKey(_TRACK_A, 0.11665852864583, 0.67529112971165)
	effector:SetKey(_TRACK_A, 0.23331705729167, 0.84752120129055)
	effector:SetKey(_TRACK_A, 0.36665852864583, 0.43407449110648)
	effector:SetKey(_TRACK_A, 0.5, 0.90602914590032)
	effector:SetKey(_TRACK_A, 0.61665852864583, 0.67529112971165)
	effector:SetKey(_TRACK_A, 0.73331705729167, 0.84752120129055)
	effector:SetKey(_TRACK_A, 0.86665852864583, 0.43407449110648)
	effector:SetKey(_TRACK_A, 1, 0.90602914590032)
	effector:SetKey(_TRACK_A, 1.11665852864583, 0.67529112971165)
	effector:SetKey(_TRACK_A, 1.23331705729167, 0.84752120129055)
	effector:SetKey(_TRACK_A, 1.36665852864583, 0.43407449110648)
	effector:SetKey(_TRACK_A, 1.5, 0.90602914590032)
	effector:SetKey(_TRACK_A, 1.61665852864583, 0.67529112971165)
	effector:SetKey(_TRACK_A, 1.73331705729167, 0.84752120129055)
	effector:SetKey(_TRACK_A, 1.86665852864583, 0.43407449110648)
	effector:SetKey(_TRACK_A, 2, 0.90602914590032)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_2")
	compositionNogi_nov:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_nov)
	element:SetXY(930, 525)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 1.01476882375851)
	effector:SetKey(_TRACK_A, 0.13334147135417, 0.82718136467172)
	effector:SetKey(_TRACK_A, 0.23331705729167, 1.0094918617687)
	effector:SetKey(_TRACK_A, 0.36665852864583, 0.77509481453075)
	effector:SetKey(_TRACK_A, 0.5, 1.01476882375851)
	effector:SetKey(_TRACK_A, 0.63334147135417, 0.82718136467172)
	effector:SetKey(_TRACK_A, 0.73331705729167, 1.0094918617687)
	effector:SetKey(_TRACK_A, 0.86665852864583, 0.77509481453075)
	effector:SetKey(_TRACK_A, 1, 1.01476882375851)
	effector:SetKey(_TRACK_A, 1.13334147135417, 0.82718136467172)
	effector:SetKey(_TRACK_A, 1.23331705729167, 1.0094918617687)
	effector:SetKey(_TRACK_A, 1.36665852864583, 0.77509481453075)
	effector:SetKey(_TRACK_A, 1.5, 1.01476882375851)
	effector:SetKey(_TRACK_A, 1.63334147135417, 0.82718136467172)
	effector:SetKey(_TRACK_A, 1.73331705729167, 1.0094918617687)
	effector:SetKey(_TRACK_A, 1.86665852864583, 0.77509481453075)
	effector:SetKey(_TRACK_A, 2, 1.01476882375851)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."noga1.png")
	element:SetName("Layer_3")
	compositionNogi_nov:AddElement(element)
	element:SetHotSpot(31.5, 29.5)
	element:SetParentElement(compositionNogi_nov)
	element:SetXY(939.5, 515.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 1.64622232197607)
	effector:SetKey(_TRACK_A, 0.13334147135417, 1.19340461498119)
	effector:SetKey(_TRACK_A, 0.23331705729167, 1.42154098233037)
	effector:SetKey(_TRACK_A, 0.36665852864583, 1.20618328287872)
	effector:SetKey(_TRACK_A, 0.5, 1.64622232197607)
	effector:SetKey(_TRACK_A, 0.63334147135417, 1.19340461498119)
	effector:SetKey(_TRACK_A, 0.73331705729167, 1.42154098233037)
	effector:SetKey(_TRACK_A, 0.86665852864583, 1.20618328287872)
	effector:SetKey(_TRACK_A, 1, 1.64622232197607)
	effector:SetKey(_TRACK_A, 1.13334147135417, 1.19340461498119)
	effector:SetKey(_TRACK_A, 1.23331705729167, 1.42154098233037)
	effector:SetKey(_TRACK_A, 1.36665852864583, 1.20618328287872)
	effector:SetKey(_TRACK_A, 1.5, 1.64622232197607)
	effector:SetKey(_TRACK_A, 1.63334147135417, 1.19340461498119)
	effector:SetKey(_TRACK_A, 1.73331705729167, 1.42154098233037)
	effector:SetKey(_TRACK_A, 1.86665852864583, 1.20618328287872)
	effector:SetKey(_TRACK_A, 2, 1.64622232197607)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."noga2.png")
	element:SetName("Layer_4")
	compositionNogi_nov:AddElement(element)
	element:SetHotSpot(12.8284271247462, 48.9203102167832)
	element:SetParentElement(compositionNogi_nov)
	element:SetXY(956, 512.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 1.60512701735978)
	effector:SetKey(_TRACK_A, 0.19999186197917, 1.41761433451638)
	effector:SetKey(_TRACK_A, 0.33333333333333, 1.54110746280306)
	effector:SetKey(_TRACK_A, 0.4666748046875, 1.24601725711821)
	effector:SetKey(_TRACK_A, 0.60001627604167, 1.48733605036256)
	effector:SetKey(_TRACK_A, 0.73331705729167, 1.19763642953899)
	effector:SetKey(_TRACK_A, 0.86665852864583, 1.477282749243)
	effector:SetKey(_TRACK_A, 1, 1.60512701735978)
	effector:SetKey(_TRACK_A, 1.19999186197917, 1.41761433451638)
	effector:SetKey(_TRACK_A, 1.33333333333333, 1.54110746280306)
	effector:SetKey(_TRACK_A, 1.4666748046875, 1.24601725711821)
	effector:SetKey(_TRACK_A, 1.60001627604167, 1.48733605036256)
	effector:SetKey(_TRACK_A, 1.73331705729167, 1.19763642953899)
	effector:SetKey(_TRACK_A, 1.86665852864583, 1.477282749243)
	effector:SetKey(_TRACK_A, 2, 1.60512701735978)
	effector:Play()
 
	compositionNogi_nov:Play()
 
	return compositionNogi_nov
end
 
createCompositionUP_Zhuk_cikl = function()
	local compositionUP_Zhuk_cikl = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionUP_Zhuk_cikl:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Krilo_3.png")
	element:SetName("Layer_1")
	compositionUP_Zhuk_cikl:AddElement(element)
	element:SetHotSpot(11, 103)
	element:SetParentElement(compositionUP_Zhuk_cikl)
	element:SetXY(513, 77)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -0.20503385555715)
	effector:SetKey(_TRACK_A, 0.35819498697917, -0.12422481729327)
	effector:SetKey(_TRACK_A, 0.6805419921875, -0.20503385555715)
	effector:SetKey(_TRACK_A, 1.03873697916667, -0.12422481729327)
	effector:SetKey(_TRACK_A, 1.36112467447917, -0.20503385555715)
	effector:SetKey(_TRACK_A, 1.71931966145833, -0.12422481729327)
	effector:SetKey(_TRACK_A, 2.04166666666667, -0.20503385555715)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Krilo_3_.png")
	element:SetName("Layer_2")
	compositionUP_Zhuk_cikl:AddElement(element)
	element:SetHotSpot(49, 98)
	element:SetParentElement(compositionUP_Zhuk_cikl)
	element:SetXY(494, 80)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 0.10594021817255)
	effector:SetKey(_TRACK_A, 0.35819498697917, 0.03674393963303)
	effector:SetKey(_TRACK_A, 0.6805419921875, 0.10594021817255)
	effector:SetKey(_TRACK_A, 1.03873697916667, 0.03674393963303)
	effector:SetKey(_TRACK_A, 1.36112467447917, 0.10594021817255)
	effector:SetKey(_TRACK_A, 1.71931966145833, 0.03674393963303)
	effector:SetKey(_TRACK_A, 2.04166666666667, 0.10594021817255)
	effector:Play()
 
	compositionUP_Zhuk_cikl:Play()
 
	return compositionUP_Zhuk_cikl
end
 
createCompositionUSIKI_Left_MOV = function()
	local compositionUSIKI_Left_MOV = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionUSIKI_Left_MOV:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."us01.png")
	element:SetName("Layer_1")
	compositionUSIKI_Left_MOV:AddElement(element)
	element:SetHotSpot(31.5, 3.25)
	element:SetParentElement(compositionUSIKI_Left_MOV)
	element:SetXY(100.75, 553.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.51393600692696)
	effector:SetKey(_TRACK_A, 0.27840169270833, -1.65372187520468)
	effector:SetKey(_TRACK_A, 0.51041666666667, -1.51393600692696)
	effector:SetKey(_TRACK_A, 0.788818359375, -1.65372187520468)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.51393600692696)
	effector:SetKey(_TRACK_A, 1.29923502604167, -1.65372187520468)
	effector:SetKey(_TRACK_A, 1.53125, -1.51393600692696)
	effector:SetKey(_TRACK_A, 1.80965169270833, -1.65372187520468)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.51393600692696)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."us01.png")
	element:SetName("Layer_2")
	compositionUSIKI_Left_MOV:AddElement(element)
	element:SetHotSpot(31.524462743457, 2.75080805619923)
	element:SetParentElement(compositionUSIKI_Left_MOV)
	element:SetXY(99.5, 542)
 
	element:SetScaleX(-1.16155581748326)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.51393600692696)
	effector:SetKey(_TRACK_A, 0.23201497395833, -1.3883263663419)
	effector:SetKey(_TRACK_A, 0.51041666666667, -1.51393600692696)
	effector:SetKey(_TRACK_A, 0.742431640625, -1.3883263663419)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.51393600692696)
	effector:SetKey(_TRACK_A, 1.25284830729167, -1.3883263663419)
	effector:SetKey(_TRACK_A, 1.53125, -1.51393600692696)
	effector:SetKey(_TRACK_A, 1.76326497395833, -1.3883263663419)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.51393600692696)
	effector:Play()
 
	compositionUSIKI_Left_MOV:Play()
 
	return compositionUSIKI_Left_MOV
end
 
createCompositionUSIKI_Left_MOV_2 = function()
	local compositionUSIKI_Left_MOV_2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionUSIKI_Left_MOV_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."us01.png")
	element:SetName("Layer_1")
	compositionUSIKI_Left_MOV_2:AddElement(element)
	element:SetHotSpot(31.5, 3.25)
	element:SetParentElement(compositionUSIKI_Left_MOV_2)
	element:SetXY(100.75, 553.25)
 
	element:SetAngle(-1.51393600692696)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."us01.png")
	element:SetName("Layer_2")
	compositionUSIKI_Left_MOV_2:AddElement(element)
	element:SetHotSpot(31.524462743457, 2.75080805619923)
	element:SetParentElement(compositionUSIKI_Left_MOV_2)
	element:SetXY(99.5, 542)
 
	element:SetScaleX(-1.16155581748326)
	element:SetAngle(-1.51393600692696)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionUSIKI_Left_MOV_2:Play()
 
	return compositionUSIKI_Left_MOV_2
end
 
createCompositionUsiki_Left_Stay = function()
	local compositionUsiki_Left_Stay = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionUsiki_Left_Stay:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."us01.png")
	element:SetName("Layer_1")
	compositionUsiki_Left_Stay:AddElement(element)
	element:SetHotSpot(31.5, 3.25)
	element:SetParentElement(compositionUsiki_Left_Stay)
	element:SetXY(100.75, 553.25)
 
	element:SetAngle(-1.51393600692696)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."us01.png")
	element:SetName("Layer_2")
	compositionUsiki_Left_Stay:AddElement(element)
	element:SetHotSpot(31.524462743457, 2.75080805619923)
	element:SetParentElement(compositionUsiki_Left_Stay)
	element:SetXY(99.5, 542)
 
	element:SetScaleX(-1.16155581748326)
	element:SetAngle(-1.51393600692696)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionUsiki_Left_Stay:Play()
 
	return compositionUsiki_Left_Stay
end
 
createCompositionusiki_Mov = function()
	local compositionusiki_Mov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionusiki_Mov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."us1.png")
	element:SetName("Layer_1")
	compositionusiki_Mov:AddElement(element)
	element:SetHotSpot(2.5, 28)
	element:SetParentElement(compositionusiki_Mov)
	element:SetXY(899.473815917969, 560.619415283203)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 1.54396867622104)
	effector:SetKey(_TRACK_A, 0.08878580729167, 1.77448709584585)
	effector:SetKey(_TRACK_A, 0.17753092447917, 1.66593989474257)
	effector:SetKey(_TRACK_A, 0.35506184895833, 1.84869538131686)
	effector:SetKey(_TRACK_A, 0.5325927734375, 1.79501979799561)
	effector:SetKey(_TRACK_A, 0.71016438802083, 1.91112099715197)
	effector:SetKey(_TRACK_A, 0.79890950520833, 1.85119531876718)
	effector:SetKey(_TRACK_A, 0.8876953125, 1.89917686566535)
	effector:SetKey(_TRACK_A, 1.15397135416667, 1.54396867622104)
	effector:SetKey(_TRACK_A, 1.24275716145833, 1.77448709584585)
	effector:SetKey(_TRACK_A, 1.33150227864583, 1.66593989474257)
	effector:SetKey(_TRACK_A, 1.50907389322917, 1.84869538131686)
	effector:SetKey(_TRACK_A, 1.68660481770833, 1.79501979799561)
	effector:SetKey(_TRACK_A, 1.8641357421875, 1.91112099715197)
	effector:SetKey(_TRACK_A, 1.952880859375, 1.85119531876718)
	effector:SetKey(_TRACK_A, 2.04166666666667, 1.89917686566535)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."us2.png")
	element:SetName("Layer_2")
	compositionusiki_Mov:AddElement(element)
	element:SetHotSpot(38, 21)
	element:SetParentElement(compositionusiki_Mov)
	element:SetXY(897.95686340332, 543.168716430664)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, 1.57750254704075)
	effector:SetKey(_TRACK_A, 0.08878580729167, 1.53274169803932)
	effector:SetKey(_TRACK_A, 0.17753092447917, 1.61055378548722)
	effector:SetKey(_TRACK_A, 0.35506184895833, 1.37868181280456)
	effector:SetKey(_TRACK_A, 0.5325927734375, 1.15473788322399)
	effector:SetKey(_TRACK_A, 0.71016438802083, 1.44545512189922)
	effector:SetKey(_TRACK_A, 0.8876953125, 1.21930023795349)
	effector:SetKey(_TRACK_A, 1.15397135416667, 1.57750254704075)
	effector:SetKey(_TRACK_A, 1.24275716145833, 1.53274169803932)
	effector:SetKey(_TRACK_A, 1.33150227864583, 1.61055378548722)
	effector:SetKey(_TRACK_A, 1.50907389322917, 1.37868181280456)
	effector:SetKey(_TRACK_A, 1.68660481770833, 1.15473788322399)
	effector:SetKey(_TRACK_A, 1.8641357421875, 1.44545512189922)
	effector:SetKey(_TRACK_A, 2.04166666666667, 1.21930023795349)
	effector:Play()
 
	compositionusiki_Mov:Play()
 
	return compositionusiki_Mov
end
 
createCompositionusiki_Mov_2 = function()
	local compositionusiki_Mov_2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionusiki_Mov_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."us1.png")
	element:SetName("Layer_1")
	compositionusiki_Mov_2:AddElement(element)
	element:SetHotSpot(2.5, 28)
	element:SetParentElement(compositionusiki_Mov_2)
	element:SetXY(899.473815917969, 560.619415283203)
 
	element:SetAngle(1.54396867622104)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."us2.png")
	element:SetName("Layer_2")
	compositionusiki_Mov_2:AddElement(element)
	element:SetHotSpot(38, 21)
	element:SetParentElement(compositionusiki_Mov_2)
	element:SetXY(897.95686340332, 543.168716430664)
 
	element:SetAngle(1.57750254704075)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionusiki_Mov_2:Play()
 
	return compositionusiki_Mov_2
end
 
createCompositionUsiki_No_Mov = function()
	local compositionUsiki_No_Mov = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionUsiki_No_Mov:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."us1.png")
	element:SetName("Layer_1")
	compositionUsiki_No_Mov:AddElement(element)
	element:SetHotSpot(2.5, 28)
	element:SetParentElement(compositionUsiki_No_Mov)
	element:SetXY(899.473815917969, 560.619415283203)
 
	element:SetAngle(1.54396867622104)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."us2.png")
	element:SetName("Layer_2")
	compositionUsiki_No_Mov:AddElement(element)
	element:SetHotSpot(38, 21)
	element:SetParentElement(compositionUsiki_No_Mov)
	element:SetXY(897.95686340332, 543.168716430664)
 
	element:SetAngle(1.57750254704075)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionUsiki_No_Mov:Play()
 
	return compositionUsiki_No_Mov
end
 
createCompositionZhuK_L = function()
	local compositionZhuK_L = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionZhuK_L:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."krilo_1_.png")
	element:SetName("Layer_1")
	compositionZhuK_L:AddElement(element)
	element:SetHotSpot(40.5, 73)
	element:SetParentElement(compositionZhuK_L)
	element:SetXY(84, 96)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.57495769051659)
	effector:SetKey(_TRACK_A, 0.51041666666667, -1.42417603104453)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.57495769051659)
	effector:SetKey(_TRACK_A, 1.53125, -1.42417603104453)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.57495769051659)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."krilo_2_.png")
	element:SetName("Layer_2")
	compositionZhuK_L:AddElement(element)
	element:SetHotSpot(13.5, 73.5)
	element:SetParentElement(compositionZhuK_L)
	element:SetXY(85, 86.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:SetKey(_TRACK_A, 0, -1.56418298722751)
	effector:SetKey(_TRACK_A, 0.51041666666667, -1.65428742168847)
	effector:SetKey(_TRACK_A, 1.02083333333333, -1.56418298722751)
	effector:SetKey(_TRACK_A, 1.53125, -1.65428742168847)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.56418298722751)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Telo-guka_2.png")
	element:SetName("Layer_3")
	compositionZhuK_L:AddElement(element)
	element:SetHotSpot(39, 54)
	element:SetParentElement(compositionZhuK_L)
	element:SetXY(60.5, 91.5)
 
	element:SetAngle(-1.55169215891777)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionLapki_Left_Mov()
	element:SetName("Layer_4")
	compositionZhuK_L:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_L)
	element:SetXY(512, -73)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionUSIKI_Left_MOV()
	element:SetName("Layer_6")
	compositionZhuK_L:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_L)
	element:SetXY(512, -73)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionZhuK_L:Play()
 
	return compositionZhuK_L
end
 
createCompositionZhuK_L_Opene = function()
	local compositionZhuK_L_Opene = CreateCompositionSequence()
	local compositionDuration = 8
	compositionZhuK_L_Opene:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."krilo_1_.png")
	element:SetName("Layer_1")
	compositionZhuK_L_Opene:AddElement(element)
	element:SetHotSpot(40.5, 73)
	element:SetParentElement(compositionZhuK_L_Opene)
	element:SetXY(84, 96)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.57495769051659)
	effector:SetKey(_TRACK_A, 2.16666666666667, -1.45803883056888)
	effector:SetKey(_TRACK_A, 3.125, -2.6712402467072)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."krilo_2_.png")
	element:SetName("Layer_2")
	compositionZhuK_L_Opene:AddElement(element)
	element:SetHotSpot(13.5, 73.5)
	element:SetParentElement(compositionZhuK_L_Opene)
	element:SetXY(85, 86.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 2.04166666666667, -1.56418298722751)
	effector:SetKey(_TRACK_A, 2.16666666666667, -1.74664796513319)
	effector:SetKey(_TRACK_A, 3.125, -0.33103646142997)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."shesterenka_2.png")
	element:SetName("Layer_3")
	compositionZhuK_L_Opene:AddElement(element)
	element:SetHotSpot(14, 14)
	element:SetParentElement(compositionZhuK_L_Opene)
	element:SetXY(73.75, 95.5)
 
	element:SetScaleX(1.02)
	element:SetScaleY(1.02)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 3.125, 4.77186545065747)
	effector:SetKey(_TRACK_A, 6.29166666666667, 72.2819901068119)
	effector:SetKey(_TRACK_A, 7, 78.8203472251569)
	effector:SetKey(_TRACK_O, 2.16666666666667, 0)
	effector:SetKey(_TRACK_O, 3.125, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Telo-guka_2.png")
	element:SetName("Layer_4")
	compositionZhuK_L_Opene:AddElement(element)
	element:SetHotSpot(39, 54)
	element:SetParentElement(compositionZhuK_L_Opene)
	element:SetXY(60.5, 91.5)
 
	element:SetAngle(-1.55169215891777)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionLapki_Left_Stay_2()
	element:SetName("Layer_5")
	compositionZhuK_L_Opene:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_L_Opene)
	element:SetXY(512, -73)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionUSIKI_Left_MOV_2()
	element:SetName("Layer_6")
	compositionZhuK_L_Opene:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_L_Opene)
	element:SetXY(512, -73)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionZhuK_L_Opene:Play()
 
	return compositionZhuK_L_Opene
end
 
createCompositionZhuK_R = function()
	local compositionZhuK_R = CreateCompositionSequence()
	local compositionDuration = 2.04166666666667
	compositionZhuK_R:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_2
	element = createCompositionkrila_mov()
	element:SetName("Layer_2")
	compositionZhuK_R:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_R)
	element:SetXY(-362, -52)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionlapki_mov()
	element:SetName("Layer_4")
	compositionZhuK_R:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_R)
	element:SetXY(-362, -52)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionusiki_Mov()
	element:SetName("Layer_5")
	compositionZhuK_R:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_R)
	element:SetXY(-362, -52)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."Telo-guka.png")
	element:SetName("Layer_7")
	compositionZhuK_R:AddElement(element)
	element:SetHotSpot(39, 59)
	element:SetParentElement(compositionZhuK_R)
	element:SetXY(72.6594848632813, 115.403701782227)
 
	element:SetAngle(1.53683092422706)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.04166666666667)
	effector:Play()
 
	compositionZhuK_R:Play()
 
	return compositionZhuK_R
end
 
createCompositionZhuK_R_OPENE = function()
	local compositionZhuK_R_OPENE = CreateCompositionSequence()
	local compositionDuration = 8
	compositionZhuK_R_OPENE:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionkrila_mov_3()
	element:SetName("Layer_1")
	compositionZhuK_R_OPENE:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_R_OPENE)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 2.04166666666667, -362)
	effector:SetKey(_TRACK_Y, 2.04166666666667, -52)
	effector:SetKey(_TRACK_X, 3.08333333333333, -363)
	effector:SetKey(_TRACK_Y, 3.08333333333333, -48)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."6.png")
	element:SetName("Layer_2")
	compositionZhuK_R_OPENE:AddElement(element)
	element:SetHotSpot(16.5, 15.75)
	element:SetParentElement(compositionZhuK_R_OPENE)
	element:SetXY(65, 124)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_SX, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SX, 3.70833333333333, 0.92666666666666)
	effector:SetKey(_TRACK_SY, 3.70833333333333, 0.92666666666666)
	effector:SetKey(_TRACK_SX, 7, 1.05)
	effector:SetKey(_TRACK_SY, 7, 1.05)
	effector:SetKey(_TRACK_SX, 7.54166666666667, 1)
	effector:SetKey(_TRACK_SY, 7.54166666666667, 1)
	effector:SetKey(_TRACK_A, 3.70833333333333, 0)
	effector:SetKey(_TRACK_A, 7, -149.995690754551)
	effector:SetKey(_TRACK_O, 2.83333333333333, 0)
	effector:SetKey(_TRACK_O, 3.70833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionlapki_no_mov3()
	element:SetName("Layer_3")
	compositionZhuK_R_OPENE:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_R_OPENE)
	element:SetXY(-362, -52)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionusiki_Mov_2()
	element:SetName("Layer_4")
	compositionZhuK_R_OPENE:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionZhuK_R_OPENE)
	element:SetXY(-362, -52)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Telo-guka.png")
	element:SetName("Layer_5")
	compositionZhuK_R_OPENE:AddElement(element)
	element:SetHotSpot(39, 59)
	element:SetParentElement(compositionZhuK_R_OPENE)
	element:SetXY(72.6594848632813, 115.403701782227)
 
	element:SetAngle(1.53683092422706)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionZhuK_R_OPENE:Play()
 
	return compositionZhuK_R_OPENE
end
 
